#!/bin/bash

rrdtool graph /home/pi/rrdScripts/temp_hum_30min.png \
--imgformat PNG \
--width 500 \
--height 200 \
--end now \
--start end-30minutes \
--vertical-label "Hőmérséklet és páratartalom" \
--color "SHADEA#ffffff" \
--color "SHADEB#ffffff" \
--color "BACK#ffffff" \
DEF:airTemperature=temp_hum.rrd:airTemperature:AVERAGE \
DEF:airHumidity=temp_hum.rrd:airHumidity:AVERAGE \
LINE:airTemperature#0000FF:airTemperature \
LINE:airHumidity#FF0000:airHumidity


rrdtool graph /home/pi/rrdScripts/temp_hum_week.png \
--imgformat PNG \
--width 500 \
--height 200 \
--end now \
--start end-7days \
--vertical-label "Hőmérséklet és páratartalom" \
--color "SHADEA#ffffff" \
--color "SHADEB#ffffff" \
--color "BACK#ffffff" \
DEF:airTemperature=temp_hum.rrd:airTemperature:AVERAGE \
DEF:airHumidity=temp_hum.rrd:airHumidity:AVERAGE \
LINE:airTemperature#0000FF:airTemperature \
LINE:airHumidity#FF0000:airHumidity

rrdtool graph /home/pi/rrdScripts/temp_hum_day.png \
--imgformat PNG \
--width 500 \
--height 200 \
--end now \
--start end-1days \
--vertical-label "Hőmérséklet és páratartalom" \
--color "SHADEA#ffffff" \
--color "SHADEB#ffffff" \
--color "BACK#ffffff" \
DEF:airTemperature=temp_hum.rrd:airTemperature:AVERAGE \
DEF:airHumidity=temp_hum.rrd:airHumidity:AVERAGE \
LINE:airTemperature#0000FF:airTemperature \
LINE:airHumidity#FF0000:airHumidity

rrdtool graph /home/pi/rrdScripts/temp_hum_day2.png \
--imgformat PNG \
--width 500 \
--height 200 \
--end now \
--start end-1days \
--vertical-label "Hőmérséklet és páratartalom" \
--color "SHADEA#ffffff" \
--color "SHADEB#ffffff" \
--color "BACK#ffffff" \
DEF:airTemperature=temp_hum.rrd:airTemperature:AVERAGE \
DEF:airHumidity=temp_hum.rrd:airHumidity:AVERAGE \
AREA:airHumidity#FF0000:airHumidity \
LINE:airTemperature#0000FF:airTemperature

rrdtool graph /home/pi/rrdScripts/temp_day.png \
--imgformat PNG \
--width 500 \
--height 200 \
--end now \
--start end-1days \
--vertical-label "Hőmérséklet és páratartalom" \
--color "SHADEA#ffffff" \
--color "SHADEB#ffffff" \
--color "BACK#ffffff" \
DEF:airTemperature=temp_hum.rrd:airTemperature:AVERAGE \
LINE:airTemperature#0000FF:airTemperature

